phrGetDumpFileName {phreeqc} | R Documentation

## Retrieve the name of the dump file.

### Description

Retrieves the name of the dump file. This file name is used if not specified within DUMP input. The default value is dump.0.out.

### Usage

    phrGetDumpFileName()

### Value

The name of the dump file as a string.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Dump: `phrGetDumpFileOn`, `phrGetDumpStringsOn`, `phrGetDumpStrings`, `phrSetDumpFileName`, `phrSetDumpFileOn`, `phrSetDumpStringsOn`

### Examples

    phrLoadDatabaseString(phreeqc.dat)
    phrSetDumpFileOn(TRUE)

    input <-              "SOLUTION 1 Pure water     \n"
    input <- paste(input, "EQUILIBRIUM_PHASES 1      \n")
    input <- paste(input, "    Calcite 0 10          \n")
    input <- paste(input, "SAVE solution 1           \n")
    input <- paste(input, "SAVE equilibrium_phases 1 \n")
    input <- paste(input, "DUMP                      \n")
    input <- paste(input, "    -solution 1           \n")
    input <- paste(input, "    -equilibrium_phases  1\n")

    if (!is.null(phrRunString(input))) {
      cat(phrGetErrorStrings())
    }
    cat(paste("see ", phrGetDumpFileName(), "."))

[Package phreeqc version 3.4.10 Index]